/***************************************************************************
                          kwavecontrol.cpp  -  description
                             -------------------
    begin                : Die Nov 12 16:11:02 CET 2002
    copyright            : (C) 2002 by Matthias Reif
    email                : matthias.reif@informatik.tu-chemnitz.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kwavecontrol.h"

/*!
    \fn KWaveControl::KWaveControl( QObject *parent, const char *name )
 */
KWaveControl::KWaveControl( QObject *parent, const char *name ) : QObject( parent, name )
{
	captions.push_back( "for the wave of life" );
	captions.push_back( "the power to survive" );
	captions.push_back( "'cause WE care" );
	captions.push_back( "join the bright side of life" );
	captions.push_back( "for better or worse" );
	captions.push_back( "yeah!" );
	captions.push_back( "is it a plane?" );
	captions.push_back( "can you feel it?" );
	captions.push_back( "what a pleasure" );
	captions.push_back( "it's just about the limit" );
	captions.push_back( "just follow your nose" );
	captions.push_back( "we can't produce the money for it just like that" );
	captions.push_back( "who might have told him?" );
	captions.push_back( "i get a kick out of it" );
	captions.push_back( "it's on its beat" );
	captions.push_back( "make yourself at home" );
	captions.push_back( "a good lather is half the shave" );
	captions.push_back( "well-chosen" );
	captions.push_back( "better late than never" );
	captions.push_back( "better come straight to the point" );
	captions.push_back( "there's room for improvement" );
	captions.push_back( "a bird in the hand is worth two in the bush" );
	captions.push_back( "my dear..." );
	captions.push_back( "mum's the word!" );
	captions.push_back( "there are no objections to it" );
	captions.push_back( "that was to be expected" );
	captions.push_back( "can you get anything done with people like that?" );
	captions.push_back( "that will get you nowhere" );
	captions.push_back( "it's nothing to write home about" );
	captions.push_back( "it is within your own discretion" );
	captions.push_back( "I've got it down pat" );
	captions.push_back( "it's all or nothing now" );
	captions.push_back( "what is your car worth as scrap?" );
	captions.push_back( "we are troubled with midges just now" );
	captions.push_back( "could you go and get the paper?" );
	captions.push_back( "stands by you at Day of Judgement" );
	captions.push_back( "even better than hootenannies" );
	captions.push_back( "sophisticated!" );
	captions.push_back( "the cream of the crop" );
	captions.push_back( "do you feel better now?" );
	captions.push_back( "to quicken the pulse" );
	captions.push_back( "it doesn't matter." );
	captions.push_back( "the train doesn't run on Sundays" );
	captions.push_back( "doesn't run on Windows" );
	captions.push_back( "such a thing doesn't exist" );
	captions.push_back( "good is good, but better carries it" );
	captions.push_back( "better is the enemy of good" );
	captions.push_back( "the weather was bad and the mood was the same" );
	captions.push_back( "dough!" );
	captions.push_back( "the worse is yet to come" );
	captions.push_back( "mind you, keep warm!" );
	captions.push_back( "the only criticism I have ..." );
	captions.push_back( "it doesn't come up to scratch" );
	captions.push_back( "that's expecting a bit much" );
	captions.push_back( "it's not so bad" );	
	captions.push_back( "it's unbelievable!" );
	captions.push_back( "'cause life isn't all beer and skittles" );
	captions.push_back( "the trouble is that ..." );
	captions.push_back( "the project didn't get beyond the early stages" );
	captions.push_back( "the murder is out" );
	captions.push_back( "fate treated it unkindly" );
	captions.push_back( "let there be no more of this" );
	captions.push_back( "you must never forget it" );
	captions.push_back( "you're probably aware of it" );
	captions.push_back( "it is probably the best thing" );
	captions.push_back( "it reminds me of home" );
	captions.push_back( "it's yours" );
	captions.push_back( "it's a lot too thin!" );
	captions.push_back( "it's a matter of opinion" );
	captions.push_back( "it's sheer madness" );
	captions.push_back( "it's no crime" );
	captions.push_back( "it's no joke!" );
	captions.push_back( "that's isn't aimed against you" );
	captions.push_back( "come, come, that won't hurt him" );
	captions.push_back( "you have to get the boss to okay it" );
	captions.push_back( "the funniest part about it is ..." );
	captions.push_back( "it turns me on" );
	captions.push_back( "actions speak louder than words" );
	captions.push_back( "does it suit your taste?" );
	captions.push_back( "it is probably just a mistake" );
	captions.push_back( "there was a lot to do" );
	captions.push_back( "it's turning the world upside down" );
	captions.push_back( "everything hangs on your decision" );
	captions.push_back( "it depends largely upon you" );
	captions.push_back( "the rain passed off" );
	captions.push_back( "it is about time!" );
	captions.push_back( "it's such a shame!" );
	captions.push_back( "it's frightfully boring" );
	captions.push_back( "it's my fault" );
	captions.push_back( "it's enough to make you weep" );
	captions.push_back( "there's no harm in trying" );
	captions.push_back( "it is in the nature of things" );
	captions.push_back( "it beggars description." );
	captions.push_back( "it won't happen again" );
	captions.push_back( "you are free to go" );
	captions.push_back( "it was a put-up affair" );
	captions.push_back( "and the day turned out to be a fine one" );
	
	srand( time( NULL ) + getpid() );
}


/*!
    \fn KWaveControl::~KWaveControl()
 */
KWaveControl::~KWaveControl()
{
}


/*!
    \fn KWaveControl::getRandomCaption()
 */
QString KWaveControl::getRandomCaption()
{
	return "KWaveControl - " + captions[ rand() % captions.size() ];
}
