/***************************************************************************
                          smallwidget.h  -  description
                             -------------------
    begin                : Sam Jan 25 2003
    copyright            : (C) 2003 by Matthias Reif
    email                : matthias.reif@informatik.tu-chemnitz.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SMALLWIDGET_H
#define SMALLWIDGET_H

#include <qwidget.h>
#include <qlabel.h>
#include <qapplication.h>
#include <qdesktopwidget.h>
#include <kprogress.h>
#include <kpopupmenu.h>
#include <kconfig.h>
#include <kiconloader.h>

#include "kwavecontrol.h"


/**
  *@author Matthias Reif
  */
class SmallWidget : public QWidget  {
   Q_OBJECT
public: 
	SmallWidget( QWidget *parent=0, const char *name=0, WFlags flags = 0 );
	~SmallWidget();

	void act( int value );

protected:
	void mousePressEvent( QMouseEvent *ev );
	void mouseMoveEvent( QMouseEvent *ev );
	void mouseReleaseEvent( QMouseEvent *ev );

	KProgress *linkBar;
	KPopupMenu *popup;
	QDesktopWidget *desktop;

	/// save point of mouse press event
	int xPress;
	/// save point of mouse press event
	int yPress;

	/// mouse state
	bool hold;
	/// card state
	bool isCard;
};

#endif
